
// Class: Tytul            //ANSI C++

#ifndef __TYTUL_H  //Required for current class
	#define __TYTUL_H

#ifndef __IOSTREAM_H            //Required for cin and cout
	#include <iostream.h>
#endif

#ifndef __CSTRING_H            //Required for cstring
	#include <string.h>
#endif

class Tytul
{
		char  tytul; //Attribute data member
		 int ISBN; //Attribute data member
		 char Autor; //Attribute data member

protected:

public:

						 //Default constructor alternative to compiler provided default constructor
						 //Ensure correct initial values
						 //Initialization list has members in the order declared
						 //Association object data member pointers initialized to null association object
	Tytul ();

						 //Constructor with arguments
						 //Update to argument list to initialize base class data members,
						 //e.g. (int aNumber) : BaseClass (aNumber)
	Tytul (    char  atytul,  int aISBN,  char aAutor  ) ;

						 //Copy Constructor
	Tytul (const Tytul& aTytul );

						 //Operator= Assignment Operator
	Tytul& operator= (const Tytul& aTytul);

						//Operator== Equality Operator
	int operator== (const Tytul& aTytul) const;

						//Operator<< for cout
	friend ostream& operator<< (ostream& os, const Tytul& aTytul);

						//Operator>> for cin
	friend istream& operator>> (istream& is, Tytul& aTytul);

					//Get accessor function for non-static attribute data member
	char  gettytul() const
	{ return tytul;
	}
						//Get accessor function for non-static attribute data member
	int getISBN() const
	{ return ISBN;
	}
						//Get accessor function for non-static attribute data member
	char getAutor() const
	{ return Autor;
	}

					//Set accessor function for non-static attribute data member
	void settytul (const char  atytul)
	{ tytul = atytul;
	}
						//Set accessor function for non-static attribute data member
	void setISBN (const int aISBN)
	{ ISBN = aISBN;
	}
						//Set accessor function for non-static attribute data member
	void setAutor (const char aAutor)
	{ Autor = aAutor;
	}

 virtual  ~Tytul() { }

  //Destructor - Delete any pointer data members that used new in constructors
 //Destructor should be virtual if and only if class contains at least one virtual function
 //Objects destroyed in the reverse order of the construction order
};

#endif
